{{> ph_us/facebook }}
{{> ph_us/apple }}
{{> ph_us/googlev2}}

<style>
    .input-error {
        visibility: hidden;
        font-size: 13px;
        margin: 4px 0 15px 0;
        color: #E21216;
        font-weight: 100;
    }

    .credential-error {
        color: #E21216;
        font-weight: 700;
        margin: 12px 0 12px 0;
        display: flex;
        align-items: center;
        display: none;
    }

    .credential-error>svg {
        margin-right: 8px;
        margin-top: 3px;
        position: absolute;
    }

    #recaptcha-container {
        margin-top: 15px;
    }

    #error-message {
        display: block;
        margin-left: 24px;
    }

    .credential-error.active {
        display: block;
    }

    .login {
        padding: 16px;
        height: auto;
    }

    .user-login {
        margin-top: 20px;
    }
    .text-btn {
        font-family: open_sans_semi, sans-serif;
        font-size: 14px;
        color: #337ab7;
        padding: 0;
        background: none;
        border: none;
        cursor: pointer;
    }
    .title {
        font-family: open_sans_semi, sans-serif;
        font-weight: 700;
        font-size: 20px;
        color: #131313;
    }
    label {
        font-size: 14px;
    }
    .login-form-group {
        margin-bottom: 15px;
    }
    .login-flex-group {
        display: flex;
        justify-content: space-between;
        line-height: 1.3rem;
    }
    a {
        font-size: 14px;
    }
    .or-divider {
        font-size: 14px;
        margin: 16px 0;
    }
    .horizontal-label {
        display: flex;
        line-height: 1.3rem;
    }
</style>

<div class="login">
    <strong id="message" class="title">Sign in for a faster checkout</strong>
    <form method="post" action="{{ base_path }}/login" class="user-login">
        <input name="login_challenge" type="hidden" value="{{ login_challenge }}">
        <input name="_csrf" type="hidden" value="{{ csrf_token }}">
        <div class="credential-error" id="error-section">
            {{> ph_us/error-icon}}
            <span id="error-message">Incorrect email or password</span>
        </div>
        <!-- Email -->
        <div class="login-form-group">
            <label>{{t "Email"}}</label>
            <input name="email" required type="email" value="{{{ email }}}" />
        </div>
        <!-- Password -->
        <div class="login-form-group">
            <label>{{ t "Password" }} <span class="form-label-blur-text">case-sensitive</span></label>
            <input name="password" type="password" required />
        </div>
        <div class="login-flex-group">
            <label class="horizontal-label">
                <input class="checkbox" type="checkbox" />
                Remember me
            </label>
            <a href="{{ base_path }}/forgot_password?client_id={{client_id}}" title="Forgot Password?">Forgot
                password</a>
        </div>
        <div id="recaptcha-container">
            <div class="g-recaptcha" data-sitekey="6LeJZiQTAAAAABL74eupDChaUASnOW35xbIMkOBL"></div>
        </div>
        <div>
            <button class="primary-button">
                {{ t "Sign In" }}
            </button>
        </div>
        <div class="or-divider">
            <i>or</i>
        </div>
        <div class="text-center">
            <button class="text-btn" title="Register Here" onclick="handleCreateAccountClick()">{{ t "Create an
                account"}}
            </button>
        </div>
    </form>
</div>
<script>
    const form = document.querySelector('form.user-login');
    const email = form.querySelector('[name="email"]');
    const submit = form.querySelector('.primary-button');
    const password = form.querySelector('[name="password"]');
    const error = form.querySelector('#error-section');
    const errorMessage = form.querySelector('#error-message');

    function handleCreateAccountClick() {
        if (window.parent) {
            window.parent.postMessage({ type: "idp-create-account-request" }, "*");
        };
    }

    ERRORS?.forEach(errorKey => {
        switch (errorKey) {
            case 'auth_missing_password':
            case 'auth_invalid_email':
            case 'auth_mismatch_credentials':
                error.classList.add('active');
                errorMessage.innerText = "Incorrect email or password";
                break;
            case 'unauthorized':
                error.classList.add('active');
                errorMessage.innerText = "Successful reCAPTCHA is required.";
                break;
            case 'perm_lock_account':
                error.classList.add('active');
                errorMessage.innerText = "For security reasons, your account has been locked. Please check your email for password reset instructions.";
                break;
        }
    });
</script>